libzypp 17.37.10

serviceswf.cc File Reference
`#include "serviceswf.h"`
`#include <zypp-core/ExternalProgram.h>`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/zyppng/pipelines/MTry>`
`#include <zypp-core/zyppng/pipelines/Await>`
`#include <zypp-core/zyppng/io/Process>`
`#include <zypp-media/ng/providespec.h>`
`#include <zypp/parser/RepoindexFileReader.h>`
`#include <zypp/parser/RepoFileReader.h>`
`#include <zypp/repo/RepoException.h>`
`#include <zypp/Target.h>`
`#include <zypp/zypp_detail/urlcredentialextractor_p.h>`
`#include <zypp/ng/Context>`
`#include <zypp/ng/workflows/contextfacade.h>`
`#include <zypp/ng/workflows/logichelpers.h>`
`#include <zypp/ng/workflows/mediafacade.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::RepoServicesWorkflow

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"
#define | Z_CHKGPG(I, N)

## Functions
AsyncOpRef< expected< std::pair< zypp::ServiceInfo, RepoInfoList > > > | zyppng::RepoServicesWorkflow::fetchRepoListfromService (ContextRef ctx, zypp::Pathname root_r, ServiceInfo service, ProgressObserverRef myProgress)
expected< std::pair< zypp::ServiceInfo, RepoInfoList > > | zyppng::RepoServicesWorkflow::fetchRepoListfromService (SyncContextRef ctx, zypp::Pathname root_r, ServiceInfo service, ProgressObserverRef myProgress)
AsyncOpRef< expected< zypp::repo::ServiceType > > | zyppng::RepoServicesWorkflow::probeServiceType (ContextRef ctx, const zypp::Url &url)
expected< zypp::repo::ServiceType > | zyppng::RepoServicesWorkflow::probeServiceType (SyncContextRef ctx, const zypp::Url &url)
AsyncOpRef< expected< void > > | zyppng::RepoServicesWorkflow::refreshService (AsyncRepoManagerRef repoMgr, ServiceInfo info, zypp::RepoManagerFlags::RefreshServiceOptions options)
expected< void > | zyppng::RepoServicesWorkflow::refreshService (SyncRepoManagerRef repoMgr, ServiceInfo info, zypp::RepoManagerFlags::RefreshServiceOptions options)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::repomanager"

Definition at line 31 of file serviceswf.cc.

## ◆ Z_CHKGPG

#define Z_CHKGPG | ( |  | I,
|  |  | N )

Value:
if ( ! sameTriboolState( ogpg[I], ngpg[I] ) ) \
{ \
DBG << "Service repo " << it->alias() << " gets new "#N"Check " << ngpg[I] << std::endl; \
oldRepo->set##N##Check( ngpg[I] ); \
oldRepoModified = true; \
}
DBG
#define DBG
Definition Logger.h:99